### Method

# FwupdPlugin Device inhibit

since: 1.6.0

#### Declaration [src]

    void
    fu_device_inhibit (
      FuDevice* self,
      const gchar* inhibit_id,
      const gchar* reason
    )

#### Description [src]

Prevent the device from being updated, changing it from `FWUPD_DEVICE_FLAG_UPDATABLE` to `FWUPD_DEVICE_FLAG_UPDATABLE_HIDDEN` if not already inhibited.

If the device already has an inhibit with the same `inhibit_id` then the request is ignored.

Available since: 1.6.0

#### Parameters

`inhibit_id`

  Type: `const gchar*`

  An ID used for uninhibiting, e.g. `low-power`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`reason`

  Type: `const gchar*`

  A string, e.g. `Cannot update as foo [bar] needs reboot`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.